Register Completion (S2S) | Prodege API Documentation

Register Completion

Description

When called, it notifies Prodege that a panelist has finished a project, either successfully (Complete) or unsuccessfully (DQ or OQ).

This synchronous server-to-server call confirms the final recorded completion status and provides the final redirect URL for the panelist. The endpoint's response is idempotent: only the first call will record the completion, while subsequent calls will return the transaction details without altering the recorded data.

This endpoint serves as a server-to-server alternative to the Transaction Completion client-side redirect for recording completions.

Request URL

Prodege Base URL + /prodegemr/register-completion

Request Method

POST

Request Parameters

Parameter Name Parameter Type Description Required?
apik String Your API Key. Yes
signature String The signature of your request (see Authentication). Yes
request_date Numeric Timestamp in milliseconds (see Authentication). Yes
transaction_id Numeric Transaction ID Yes
completion_type Numeric The status of the transaction. Set to 1 for Success, 2 for Overquota, 3 for Disqualification, 7 for Quality Termination. Yes

Response Parameters

Parameter Name Parameter Type Description
return_status String The return status for this API call
redirect_url String The final redirect where the panelist should be redirected.
data Array A JSON representation of the completion confirmation details. For example:
"data": {
    "transaction_id": 2147760117,
    "project_id": 39175444,
    "completion_type": 1,
    "cpi": "0.00",
    "audience_names": [
        "Audience 1"
    ],
    "quota_ids": [
        223346738
    ]
}

data Element Model

Property Name Property Type Description
transaction_id Numeric The id that uniquely identifies this project transaction on Prodege.
project_id Numeric The ID that uniquely identifies the project in the Prodege system.
completion_type Numeric The new (or confirmed) status for this transaction. Expected completion_type values: 1 for Success, 2 for Overquota, 3 for Disqualification, 7 for Quality Termination.
cpi Numeric The cpi of the complete. This should only be greater than 0 if the completion_type is 1 (Success).

Register Completion Redirect

Description

Static redirect endpoint for redirecting a survey participant to their final destination. This may only be used after registering a completion with the /prodegemr/register-completion API. It is intended for cases when the caller of register-completion is unable to redirect the user to the redirect_url provided in the register-completion response.

Notes

Request URL

Prod: https://www.swagbucks.com/prodegemr/registered-completion-redirect

Staging: https://prodegemr.sbxdv.com/prodegemr/registered-completion-redirect

Important Note for Redirects

When redirecting users to this endpoint, as well as when making calls to any other endpoint, please be sure to utilize the secure HTTPS protocol. Using HTTP may lead to compatibility issues, especially on mobile devices, and is not recommended for a seamless experience.

Request Method

GET (Redirect)

Request Parameters

Parameter Name Parameter Type Description Required?
apik String Your API Key. Yes
signature String The signature of your request (see Authentication). Yes
transaction_id String Transaction ID Yes

When successful, returns client-side redirect to the redirect_url associated with this transaction. When unsuccessful, responds with an HTTP 400 (bad request) error.